# $Revision: 1.25BL1 $, $Date: 2009/12/10 17:35:02 $
Summary:	A userspace library to the in-kernel connection tracking state table
Summary(pl.UTF-8):	Biblioteka przestrzeni użytkownika do tabeli stanów śledzenia połączeń w jądrze
Name:		libnetfilter_conntrack
Version:	0.0.100
Release:	0BL1
License:	GPL v2+
Group:		Libraries
Source0:	http://www.netfilter.org/projects/libnetfilter_conntrack/files/%{name}-%{version}.tar.bz2
# Source0-md5:	960c3d347d7f4e3fe7437aa198f36e6e
URL:		http://www.netfilter.org/projects/libnetfilter_conntrack/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libnfnetlink-devel >= 0.0.39
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.9.0
Requires:	libnfnetlink >= 0.0.39
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libnetfilter_conntrack is a userspace library providing a programming
interface (API) to the in-kernel connection tracking state table.

Main features:
- listing/retrieving entries from the kernel connection tracking table
- inserting/modifying/deleting entries from the kernel connection
  tracking table
- listing/retrieving entries from the kernel expect table
- inserting/modifying/deleting entries from the kernel expect table

%description -l pl.UTF-8
libnetfilter_conntrack to biblioteka przestrzeni użytkownika
udostępniająca interfejs programistyczny (API) do tabeli stanów
śledzenia połączeń w jądrze.

Główne możliwości:
- lista/pobieranie wpisów z tabeli śledzenia połączeń jądra
- wstawianie/modyfikowanie/usuwanie wpisów z tabeli śledzenia połączeń
  jądra
- lista/odtwarzanie wpisów z tabeli oczekiwania jądra
- wstawianie/modyfikowanie/usuwanie wpisów z tabeli oczekiwania jądra

%package devel
Summary:	Header files for libnetfilter_conntrack library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnetfilter_conntrack
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libnfnetlink-devel >= 0.0.39

%description devel
Header files for libnetfilter_conntrack library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libnetfilter_conntrack.

%package static
Summary:	Static libnetfilter_conntrack library
Summary(pl.UTF-8):	Statyczna biblioteka libnetfilter_conntrack
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libnetfilter_conntrack library.

%description static -l pl.UTF-8
Statyczna biblioteka libnetfilter_conntrack.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnetfilter_conntrack.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnetfilter_conntrack.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnetfilter_conntrack.so
%{_libdir}/libnetfilter_conntrack.la
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_pkgconfigdir}/%{name}.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libnetfilter_conntrack.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libnetfilter_conntrack.spec,v $
Revision 1.25BL1  2009/12/10 17:35:02  bartszol@ics.p.lodz.pl
- 0.0.100

Revision 1.25  2008/12/16 11:10:02  areq
- 0.0.99

Revision 1.24  2008/08/21 17:11:42  qboosh
- updated devel dep

Revision 1.23  2008/08/17 17:21:48  qboosh
- pkgconfig epoch

Revision 1.22  2008/08/04 18:12:00  zbyniu
- up to 0.0.96

Revision 1.21  2008-05-30 23:58:38  zbyniu
- up to 0.0.89

Revision 1.20  2007-12-16 17:57:51  qboosh
- updated to 0.0.82

Revision 1.19  2007-08-12 20:48:31  qboosh
- updated to 0.0.81

Revision 1.18  2007/06/27 20:40:04  areq
- 0.0.80

Revision 1.17  2007/05/25 23:19:09  qboosh
- updated to 0.0.75

Revision 1.16  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.14  2007/01/11 19:10:12  pluto
- updated to 0.0.50.

Revision 1.13  2007/01/05 17:38:05  arekm
- rel 3

Revision 1.12  2006/11/25 12:26:45  qboosh
- complete ac/am rebuild
- no need to package .so symlinks for plugins
- License is GPL v2+ acc. to *.c files

Revision 1.11  2006/09/18 15:32:08  pluto
- add *.pc to -devel, release 2.

Revision 1.10  2006/09/18 15:18:05  pluto
- BR: libnfnetlink-devel >= 0.0.16, libtool.

Revision 1.9  2006/09/18 14:31:58  pluto
- updated to 0.0.31.

Revision 1.8  2006/01/15 10:25:57  pluto
- l3extensions packaged, release 2.

Revision 1.7  2006/01/15 09:58:44  pluto
- updated to 0.0.30.

Revision 1.6  2005/11/28 01:39:09  pluto
- release 2.

Revision 1.5  2005/11/18 00:48:36  pluto
- redundant R:libnfnetlink removed.

Revision 1.4  2005/11/17 03:09:08  pluto
- updated to 0.0.28.
  `modprobe ip_conntrack_netlink` is required for proper work.

Revision 1.3  2005/11/16 22:01:18  qboosh
- pl, files cleanup, no @kernel_ver in release

Revision 1.2  2005/11/16 13:28:25  pluto
- url.

Revision 1.1  2005/11/16 13:26:39  pluto
- a userspace library providing a programming interface (API)
  to the in-kernel connection tracking state table.
- nfy...
